#include <stdio.h>

/* rjesenje petog zadatka, grupa C */
/*
  Neka su n i k pozitivni cijeli brojevi. Za broj k kažemo da je prefiks broja n
  u bazi b ako je k rezultat cjelobrojnog dijeljenja n s nekom potencijom baze b
  i ako je različit od n i veći od 0. Napišite program koji učitava dvije
  vrijednosti n i b tipa int, za koje vrijedi n > 0 i b > 1 (vrijednosti ne
  treba provjeravati). Program treba ispisati sve prefikse broja n u bazi b koji
  su složeni. Ukoliko niti jedan prefiks nije složen, program ispisuje
  odgovarajuću poruku. Primjer: za n = 594 i b = 12, vrijedi 594 = (416)_12 .
  Prefiksi u bazi 12 su (41)_12 = 49 i (4)_12 = 4. Oba prefiksa su složena pa je
  oba potrebno ispisati.
*/

int main(void) {
  int n, b;
  int potencija;
  int pref;
  int pronadjen = 0;
  scanf("%d %d", &n, &b);

  /* prefiks je rezultat cjelobrojnog dijeljenja s potencijom baze, mora biti
     razlicit od 0 i n */
  potencija = b;
  pref = n / potencija;
  while (pref != 0) {
    int slozen = 0;
    int p = 2;
    /* pretpostavili smo da nije slozen */
    while (p < pref) {
      if (pref % p == 0)
        slozen = 1;
      p++;
    }

    /* ovdje je sigurno razlicit od n pa to ne provjeravamo */
    if (slozen) {
      printf("prefiks: %d\n", pref);
      pronadjen = 1;
    }
    potencija *= b;
    pref = n / potencija;
  }

  if (!pronadjen) {
    printf("Nema takvih prefiksa.");
  }

  return 0;
}
